Next: atan2, Previous: asinh, Up: Math

### 1.7 `atan`, `atanf`—arc tangent

Synopsis

         #include <math.h>
         double atan(double x);
         float atanf(float x);

Description

`atan` computes the inverse tangent (arc tangent) of the input value.

`atanf` is identical to `atan`, save that it operates on `floats`.

Returns
`atan` returns a value in radians, in the range of -pi/2 to pi/2.

Portability
`atan` is ANSI C. `atanf` is an extension.